4 Replies Latest reply on Mar 7, 2010 9:36 PM by jmalipot

    installing epo 4.5 on another server

      We have an epo3.6.1 installed in our domain server. I want to upgrade to version 4.5 but I want it installed on another server to free up some load in our domain server.  The other server is Windows 2003 with running IIS and SQL 2005 express. I tried installing EPO 4.5 on another server and it prompts me a message.

       

      epo450p1 error.JPG

      I am puzzled with this message. I move on by clicking OK button and i got to the point where I need to set up the SQL. From there, It doesnt allow me to choose the SQL instance on the server that i am installing. I dont want to use other SQL instances as those were for Backup Exec.  All our server are installed with Backup Exec.

       

      Please advise my next step.  I thinking of uninstalling the exisiting EPO3.6.1 as that may be the on causing the problem.  But I am hesistant to do uninstall it as if its not the issue, I might face similar problem reinstalling it.

        • 1. Re: installing epo 4.5 on another server
          rackroyd

          Hi,

           

          I don't think uninstalling ePO 3.6.1 will make any difference here persoanlly.

          Assuming you pre-install an instance of Sql 2005 for ePO use on the server you need - If you still can't see it in the list of available Sql servers at the time of ePO installation, try typing its name in anyway.

           

          Rgds,

           

          Rob.

          • 2. Re: installing epo 4.5 on another server

            Hi Rob,

             

            Thank you very much for your reply. I manually inputted the SQL instance name and it prompt me another error about the port#.  In also manually inputted the

            port number as advised on the message prompt and got another error message

             

            epo error2.JPG

            I am sure  that TCP is enabled and both server name and instance name are correct.

            • 3. Re: installing epo 4.5 on another server
              rackroyd

              I think the error message is probably correct, and you really cannot connect to that instance for some reason.

              Next step would be to verify connectivity using the ODBC data source administrator on the machine where you are installing ePO.

              Use the System DSN tab, add a datasource for Sql server and fill in the details.

               

              If that cannot connect, nor can the ePO installer.

               

              Please also see McAfee support articles:

               

              KB51741
              KB57689
              KB50464

               

              I know they refer to an older version of ePO, but the testing steps for Sql connectivity are still valid as far as I can tell.

               

              Rgds,

               

              Rob.

              • 4. Re: installing epo 4.5 on another server

                Hi Rob,

                 

                Thanks for your assistance in my problem.

                 

                I have given up installing EPO 4.5 on my server with existing SQL Express 2005.  I have tried several times and I can not successfully install EPO 4.5.

                It seems that EPO 4.5 doesnt work with SQL Express 2005 SP2. I uninstall my Microsoft WSUS and SQL Express 2005 and then install EPO 4.5 .  This time,

                the installation was successful. Then I reinstalled WSUS without using the SQL EPOServer instance (deafult Microsoft database).

                 

                I also noticed that EPO 4.5 is bundled only with SQL Express 2005.  WSUS SP2 requires SQL Express 2005 SP1 or later if using SQL instance as database.  If I upgrade SQL Express to SP1, EPO 4.5 doesnt work.

                 

                EPO documentation does not mentioned about having SQL Express 2005 SP1 or later.

                 

                I hope this helps those who encounter the same problem.